# Cumulative Layout Shift Changes in Chrome 89

## Changes in Chrome 89

### Ignore layout shift under opacity:0

[Source code for this change](https://chromium-review.googlesource.com/c/chromium/src/+/2591907)

### Clip layout shift rect by visual viewport

On user agents supporting mobile viewport, the actual visual viewport may be
smaller than the layout viewport. Now layout shifts out of the visual viewport
are ignored.
[Source code for this change](https://chromium-review.googlesource.com/c/chromium/src/+/2593180)

## How does this affect a site's metrics?

All of these changes only affect sites with specific types of content. Here are
the specifics for each change:

### Ignore layout shift under opacity:0

Sites using opacity:0 to hide layout changes should see a decrease in their
Cumulative Layout Shift scores.

### Clip layout shift rect by visual viewport

Sites may see a decrease in their Cumulative Layout Shift scores on user agents
supporting mobile viewport when the visual viewport is smaller than the layout
viewport.

## When were users affected?

Chrome 89 is currently scheduled to be released the week of March 2, 2021.
