# Interaction to Next Paint Changes in Chrome 111

## Bug fix: Event Timing API no longer reports very long durations when interaction leads to "open in new tab"

This bug fix causes the Event Timing API to ignore the presentation time if
the page visibility changed. Before the bug fix, if the interaction caused the
page to be hidden, the `duration` in Event Timing would report the time the
page became visible again. This is technically the "next paint", but since it
involves waiting for the user to switch back to the page, it's not representative
of performance, so it is now ignored.

This bug affected the Event Timing API _only_. The correct data has always been
reported to the Chrome User Experience report. So this is an issue developers
may see in real user monitoring analytics.

[Source code](https://chromium-review.googlesource.com/c/chromium/src/+/3926369)

## When were users affected?

Chrome 111 was released the week of March 7, 2023.
