# Welcome!
Developing in Chromium UI? Trying to figure out how to create your UI? Need to
contact the Views team? You've reached the right place.

If you're new to UI development, read the [starter guide](starter_guide.md).
Otherwise, look below for more specific documentation.

## Quick Links
|||---|||

### **[Create](create/index.md)**

Recipes to help you work with Chrome UI.

* [Examples](create/index.md)

### **[Learn](learn/index.md)**

Details on Chrome UI.

* [Activation and Focus](/docs/ui/learn/activation_and_focus.md)
* [Animation Builder](/docs/ui/animation_builder/animation_builder.md)
* [Best Practices](/docs/ui/learn/index.md#best-practices)
* [Glossary](learn/glossary.md)
* [Input Event Routing](/docs/ui/input_event/index.md)
* [Metadata and Properties](/docs/ui/views/metadata_properties.md)
* [Platform Styling](/docs/ui/views/platform_style.md)
* [Product Excellence](/docs/ui/product_excellence/index.md)
* [Text Rendering](/docs/ui/text_rendering/text_rendering.md)
* [UI Debugging](/docs/ui/learn/ui_debugging.md)
* [UI Devtools](/docs/ui/ui_devtools/index.md)
* [Views](/docs/ui/views/overview.md)

Archival Documentation on Chrome UI.
* [Aura](aura/index.md)
* [Compositor](compositor/index.md)

Processes

* [Frontline Triage Procedures](frontline_triage.md)

### **[Ask](ask/index.md)**

Ways to get help.

* [Chat](ask/index.md#chat)
* [Discuss](ask/index.md#discuss)
* [E-mail](ask/index.md#e_mail)

|||---|||
